#include "API_VideoStitch.h"
#include "opencv2/opencv.hpp"
#include "Arith_GeoStitcher.h"
#include "Arith_FeaMatch.h"
#include "StitchStruct.h"

class VideoStitch:public API_VideoStitch 
{
public:
    VideoStitch(SINT32 nWidth, SINT32 nHeight);
    ~VideoStitch();

	void Test();


public:
    PanInfo Init(FrameInfo info);

    BYTE8 GeoStitch(GD_VIDEO_FRAME_S img, FrameInfo para);

    BYTE8 BAStitch(GD_VIDEO_FRAME_S img, FrameInfo para);

    GD_VIDEO_FRAME_S     ExportPanAddr();
private:
    
    

private:

	GeoStitcher* _GeoStitcher;//外参计算

    FeatureMatcher* _FeaMatcher;//特征匹配




    PanInfo _panPara;//全景图配置
    cv::Mat _pan;
};